All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Copy
Image Copy Operations

Copy pixels from one image to another. More...

## Functions

NppStatus | nppiCopy_8s_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 8-bit image copy. More...
NppStatus | nppiCopy_8s_C1R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8s_C2R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Two-channel 8-bit image copy. More...
NppStatus | nppiCopy_8s_C2R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8s_C3R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 8-bit image copy. More...
NppStatus | nppiCopy_8s_C3R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8s_C4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 8-bit image copy. More...
NppStatus | nppiCopy_8s_C4R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8s_AC4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 8-bit image copy, ignoring alpha channel. More...
NppStatus | nppiCopy_8s_AC4R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 8-bit unsigned image copy. More...
NppStatus | nppiCopy_8u_C1R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned image copy. More...
NppStatus | nppiCopy_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image copy. More...
NppStatus | nppiCopy_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image copy, not affecting Alpha channel. More...
NppStatus | nppiCopy_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit unsigned image copy. More...
NppStatus | nppiCopy_16u_C1R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned image copy. More...
NppStatus | nppiCopy_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image copy. More...
NppStatus | nppiCopy_16u_C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image copy, not affecting Alpha channel. More...
NppStatus | nppiCopy_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit image copy. More...
NppStatus | nppiCopy_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit image copy. More...
NppStatus | nppiCopy_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit image copy. More...
NppStatus | nppiCopy_16s_C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit image copy, not affecting Alpha. More...
NppStatus | nppiCopy_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16sc_C1R_Ctx (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit complex image copy. More...
NppStatus | nppiCopy_16sc_C1R (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16sc_C2R_Ctx (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Two-channel 16-bit complex image copy. More...
NppStatus | nppiCopy_16sc_C2R (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16sc_C3R_Ctx (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 16-bit complex image copy. More...
NppStatus | nppiCopy_16sc_C3R (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16sc_C4R_Ctx (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 16-bit complex image copy. More...
NppStatus | nppiCopy_16sc_C4R (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16sc_AC4R_Ctx (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 16-bit complex image copy, ignoring alpha. More...
NppStatus | nppiCopy_16sc_AC4R (const Npp16sc *pSrc, int nSrcStep, Npp16sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_C1R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 32-bit image copy. More...
NppStatus | nppiCopy_32s_C1R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_C3R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 32-bit image copy. More...
NppStatus | nppiCopy_32s_C3R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_C4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit image copy. More...
NppStatus | nppiCopy_32s_C4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_AC4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit image copy, not affecting Alpha. More...
NppStatus | nppiCopy_32s_AC4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32sc_C1R_Ctx (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 32-bit complex image copy. More...
NppStatus | nppiCopy_32sc_C1R (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32sc_C2R_Ctx (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Two-channel 32-bit complex image copy. More...
NppStatus | nppiCopy_32sc_C2R (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32sc_C3R_Ctx (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 32-bit complex image copy. More...
NppStatus | nppiCopy_32sc_C3R (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32sc_C4R_Ctx (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 32-bit complex image copy. More...
NppStatus | nppiCopy_32sc_C4R (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32sc_AC4R_Ctx (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 32-bit complex image copy, ignoring alpha. More...
NppStatus | nppiCopy_32sc_AC4R (const Npp32sc *pSrc, int nSrcStep, Npp32sc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16f_C1R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 16-bit floating point image copy. More...
NppStatus | nppiCopy_16f_C1R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16f_C3R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 16-bit floating point image copy. More...
NppStatus | nppiCopy_16f_C3R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16f_C4R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit floating point image copy. More...
NppStatus | nppiCopy_16f_C4R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 32-bit floating point image copy. More...
NppStatus | nppiCopy_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating point image copy. More...
NppStatus | nppiCopy_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image copy. More...
NppStatus | nppiCopy_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image copy, not affecting Alpha. More...
NppStatus | nppiCopy_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32fc_C1R_Ctx (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 32-bit floating-point complex image copy. More...
NppStatus | nppiCopy_32fc_C1R (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32fc_C2R_Ctx (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Two-channel 32-bit floating-point complex image copy. More...
NppStatus | nppiCopy_32fc_C2R (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32fc_C3R_Ctx (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating-point complex image copy. More...
NppStatus | nppiCopy_32fc_C3R (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32fc_C4R_Ctx (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating-point complex image copy. More...
NppStatus | nppiCopy_32fc_C4R (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32fc_AC4R_Ctx (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating-point complex image copy, ignoring alpha. More...
NppStatus | nppiCopy_32fc_AC4R (const Npp32fc *pSrc, int nSrcStep, Npp32fc *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

Copy pixels from one image to another.

### Common parameters for nppiCopy functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCopy_16f_C1R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16f_C1R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit floating point image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16f_C3R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16f_C3R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit floating point image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16f_C4R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16f_C4R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit floating point image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit image copy, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16sc_AC4R | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16sc_AC4R_Ctx | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit complex image copy, ignoring alpha.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16sc_C1R | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16sc_C1R_Ctx | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16sc_C2R | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16sc_C2R_Ctx | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Two-channel 16-bit complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16sc_C3R | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16sc_C3R_Ctx | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16sc_C4R | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16sc_C4R_Ctx | ( | const Npp16sc * | pSrc,
|  | int | nSrcStep,
|  | Npp16sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image copy, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image copy, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating point image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32fc_AC4R | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32fc_AC4R_Ctx | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating-point complex image copy, ignoring alpha.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32fc_C1R | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32fc_C1R_Ctx | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating-point complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32fc_C2R | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32fc_C2R_Ctx | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Two-channel 32-bit floating-point complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32fc_C3R | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32fc_C3R_Ctx | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating-point complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32fc_C4R | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32fc_C4R_Ctx | ( | const Npp32fc * | pSrc,
|  | int | nSrcStep,
|  | Npp32fc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating-point complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32s_AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit image copy, not affecting Alpha.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32s_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32s_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32s_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32sc_AC4R | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32sc_AC4R_Ctx | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit complex image copy, ignoring alpha.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32sc_C1R | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32sc_C1R_Ctx | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32sc_C2R | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32sc_C2R_Ctx | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Two-channel 32-bit complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32sc_C3R | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32sc_C3R_Ctx | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_32sc_C4R | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32sc_C4R_Ctx | ( | const Npp32sc * | pSrc,
|  | int | nSrcStep,
|  | Npp32sc * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit complex image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_8s_AC4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8s_AC4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit image copy, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_8s_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8s_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_8s_C2R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8s_C2R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Two-channel 8-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_8s_C3R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8s_C3R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_8s_C4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8s_C4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image copy, not affecting Alpha channel.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

NppStatus nppiCopy_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy functions.

Copyright © 2009-2020 NVIDIA Corporation